Index: /extensions/piwigo_mobile/ios/www/languages/zh-cn.json
===================================================================
--- /extensions/piwigo_mobile/ios/www/languages/zh-cn.json	(revision 12507)
+++ /extensions/piwigo_mobile/ios/www/languages/zh-cn.json	(revision 12507)
@@ -0,0 +1,60 @@
+{
+
+"Settings" : "设置",
+"Album" : "相册",
+"Photos" : "图片",
+"Who can see these photos" : "谁能查看这些图片",
+"Admins" : "管理员",
+"Family" : "家庭",
+"Friends" : "朋友",
+"Contacts" : "联系",
+"Everybody" : "任何人",
+"Create a new album" : "创建一个新的相册",
+"New album" : "新建相册",
+"Parent album" : "上层相册",
+"Album name" : "相册名称",
+"Add photo" : "添加图片",
+"Remove all" : "全部移除",
+"Upload" : "上传",
+"No photos selected yet" : "暂无选定图片",
+"Cancel" : "取消",
+"OK" : "OK",
+"Connection" : "链接",
+"Advanced" : "高级",
+"Gallery URL" : "相册URL地址",
+"Username" : "用户名",
+"Password" : "密码",
+"Default author" : "默认作者",
+"Photo quality" : "图片质量",
+"Resize photos" : "重置图片尺寸",
+"Maximum width" : "最大宽度",
+"Maximum height" : "最大高度",
+"Title" : "主题",
+"Author" : "作者",
+"Description" : "描述",
+"Create" : "创建",
+"Uploading photo" : "图像上传中",
+"Success" : "成功",
+"Error" : "错误",
+"Upload complete!" : "上传完毕！",
+"Upload a new selection" : "上传新的被选项",
+"See photos in your gallery" : "在您的相册中查看图片",
+"An error has occured" : "出现错误",
+"Album name can not be empty" : "相册名称不得为空",
+"Invalid username/password" : "无效的用户名或密码",
+"Unable to connectL" : "无法连接",
+"Please check your internet connection" : "请查验您的网络连接",
+"You must select an album" : "你必须选择一个相册",
+"about message" :"本程序由 Patrice Gauchon 开发，主要针对Piwigo使用PhoneGap
+及jQuery 手机框架",
+"Are you sure?" : "您确定吗？",
+"Yes" : "是的",
+"No" : "不",
+"Warning" : "警告",
+"This photo is already selected" : "本图片已经选定",
+"Refresh albums list" : "刷新相册列表",
+"Loging" : "登录中",
+"Loading albums" : "登陆相册中",
+"Actions" : "活动"
+
+}
Index: tensions/piwigo_mobile/ios/www/languages/zh_cn.json
===================================================================
--- /extensions/piwigo_mobile/ios/www/languages/zh_cn.json	(revision 12506)
+++ 	(revision )
@@ -1,60 +1,0 @@
-{
-
-"Settings" : "设置",
-"Album" : "相册",
-"Photos" : "图片",
-"Who can see these photos" : "谁能查看这些图片",
-"Admins" : "管理员",
-"Family" : "家庭",
-"Friends" : "朋友",
-"Contacts" : "联系",
-"Everybody" : "任何人",
-"Create a new album" : "创建一个新的相册",
-"New album" : "新建相册",
-"Parent album" : "上层相册",
-"Album name" : "相册名称",
-"Add photo" : "添加图片",
-"Remove all" : "全部移除",
-"Upload" : "上传",
-"No photos selected yet" : "暂无选定图片",
-"Cancel" : "取消",
-"OK" : "OK",
-"Connection" : "链接",
-"Advanced" : "高级",
-"Gallery URL" : "相册URL地址",
-"Username" : "用户名",
-"Password" : "密码",
-"Default author" : "默认作者",
-"Photo quality" : "图片质量",
-"Resize photos" : "重置图片尺寸",
-"Maximum width" : "最大宽度",
-"Maximum height" : "最大高度",
-"Title" : "主题",
-"Author" : "作者",
-"Description" : "描述",
-"Create" : "创建",
-"Uploading photo" : "图像上传中",
-"Success" : "成功",
-"Error" : "错误",
-"Upload complete!" : "上传完毕！",
-"Upload a new selection" : "上传新的被选项",
-"See photos in your gallery" : "在您的相册中查看图片",
-"An error has occured" : "出现错误",
-"Album name can not be empty" : "相册名称不得为空",
-"Invalid username/password" : "无效的用户名或密码",
-"Unable to connectL" : "无法连接",
-"Please check your internet connection" : "请查验您的网络连接",
-"You must select an album" : "你必须选择一个相册",
-"about message" :"本程序由 Patrice Gauchon 开发，主要针对Piwigo使用PhoneGap
-及jQuery 手机框架",
-"Are you sure?" : "您确定吗？",
-"Yes" : "是的",
-"No" : "不",
-"Warning" : "警告",
-"This photo is already selected" : "本图片已经选定",
-"Refresh albums list" : "刷新相册列表",
-"Loging" : "登录中",
-"Loading albums" : "登陆相册中",
-"Actions" : "活动"
-
-}