Index: /trunk/admin/rating.php
===================================================================
--- /trunk/admin/rating.php	(revision 12527)
+++ /trunk/admin/rating.php	(revision 12528)
@@ -132,5 +132,5 @@
 $available_order_by= array(
     array(l10n('Rate date'), 'recently_rated DESC'),
-		array(l10n('Rating score'), 'score DESC'),
+    array(l10n('Rating score'), 'score DESC'),
     array(l10n('Average rate'), 'avg_rates DESC'),
     array(l10n('Number of rates'), 'nb_rates DESC'),
@@ -163,12 +163,12 @@
 $query = '
 SELECT i.id,
-       i.path,
-       i.file,
-       i.tn_ext,
-       i.rating_score				AS score,
-       MAX(r.date)          AS recently_rated,
-			 ROUND(AVG(r.rate),2) AS avg_rates,
-       COUNT(r.rate)        AS nb_rates,
-       SUM(r.rate)          AS sum_rates
+    i.path,
+    i.file,
+    i.tn_ext,
+    i.rating_score       AS score,
+    MAX(r.date)          AS recently_rated,
+    ROUND(AVG(r.rate),2) AS avg_rates,
+    COUNT(r.rate)        AS nb_rates,
+    SUM(r.rate)          AS sum_rates
   FROM '.RATE_TABLE.' AS r
     LEFT JOIN '.IMAGES_TABLE.' AS i ON r.element_id = i.id
@@ -246,5 +246,5 @@
     $tpl_image['rates'][] =
        array(
-         'DATE' => format_date($row['date']),
+         'DATE' => /*format_date*/($row['date']),
          'RATE' => $row['rate'],
          'USER' => $user_rate,
Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 12527)
+++ /trunk/admin/themes/clear/theme.css	(revision 12528)
@@ -79,5 +79,9 @@
 .throw em { font-style: normal; color: #0cc9c; }
 #content { background: #f1f1f1; min-height: 467px;}
-.content { padding:0 5px 0 0; margin: 0 10px 0 252px; z-index:99; border: 1px solid #aaa;}
+
+.content { 
+  border: 1px solid #aaa;
+}
+
 .content h3 { font-size:20px; letter-spacing:-0.4px; margin:0 20px 12px 0;
  text-align:center; background:none; border: 0; }
@@ -154,9 +158,9 @@
 
 .sort { clear: none; }
-#debug { margin-left:248px; font-size:12px; }
 /* menubar is on all admin pages => No specific css file */
 #menubar {
-display:inline; float:left; left:0; margin: 10px 0 0 10px;
-padding:0; width:207px; z-index:99; text-align: left; }
+  padding:0; width:207px; z-index:99; text-align: left; 
+}
+
 #menubar ul.scroll { overflow-y:auto;
  /* Only IE family supports colored scrollbar */
Index: /trunk/admin/themes/default/template/rating.tpl
===================================================================
--- /trunk/admin/themes/default/template/rating.tpl	(revision 12527)
+++ /trunk/admin/themes/default/template/rating.tpl	(revision 12528)
@@ -1,5 +1,5 @@
 <h2>{$NB_ELEMENTS} {'Photos'|@translate}</h2>
 
-<form action="{$F_ACTION}" method="GET" id="update" class="filter">
+<form action="{$F_ACTION}" method="GET" class="filter">
   <fieldset>
     <legend>{'Filter'|@translate}</legend>
@@ -26,5 +26,5 @@
     <label>
       &nbsp;
-    <input class="submit" type="submit" name="submit_filter" value="{'Submit'|@translate}">
+    <input class="submit" type="submit" value="{'Submit'|@translate}">
     </label>
     <input type="hidden" name="page" value="rating">
@@ -48,16 +48,16 @@
 {foreach from=$images item=image name=image}
 <tr valign="top" class="{if $smarty.foreach.image.index is odd}row1{else}row2{/if}">
-  <td rowspan="{$image.NB_RATES_TOTAL+1}"><a href="{$image.U_URL}"><img src="{$image.U_THUMB}" alt="{$image.FILE}" title="{$image.FILE}"></a></td>
-  <td rowspan="{$image.NB_RATES_TOTAL+1}"><strong>{$image.NB_RATES}/{$image.NB_RATES_TOTAL}</strong></td>
+	<td rowspan="{$image.NB_RATES_TOTAL+1}"><a href="{$image.U_URL}"><img src="{$image.U_THUMB}" alt="{$image.FILE}" title="{$image.FILE}"></a></td>
+	<td rowspan="{$image.NB_RATES_TOTAL+1}"><strong>{$image.NB_RATES}/{$image.NB_RATES_TOTAL}</strong></td>
 	<td rowspan="{$image.NB_RATES_TOTAL+1}"><strong>{$image.SCORE_RATE}</strong></td>
-  <td rowspan="{$image.NB_RATES_TOTAL+1}"><strong>{$image.AVG_RATE}</strong></td>
-  <td rowspan="{$image.NB_RATES_TOTAL+1}" style="border-right: 1px solid;" ><strong>{$image.SUM_RATE}</strong></td>
+	<td rowspan="{$image.NB_RATES_TOTAL+1}"><strong>{$image.AVG_RATE}</strong></td>
+	<td rowspan="{$image.NB_RATES_TOTAL+1}" style="border-right: 1px solid;" ><strong>{$image.SUM_RATE}</strong></td>
 </tr>
 {foreach from=$image.rates item=rate name=rate}
 <tr class="{if ($smarty.foreach.image.index+$smarty.foreach.rate.index) is odd}row1{else}row2{/if}">
-    <td>{$rate.RATE}</td>
-    <td><b>{$rate.USER}</b></td>
-    <td><span class="date">{$rate.DATE}</span></td>
-    <td><a href="{$rate.U_DELETE}"><img src="{$themeconf.admin_icon_dir}/delete.png" style="border:none;vertical-align:middle; margin-left:5px;" alt="[{'Delete'|@translate}]"></a></td>
+	<td>{$rate.RATE}</td>
+	<td><b>{$rate.USER}</b></td>
+	<td>{$rate.DATE}</td>
+	<td><a href="{$rate.U_DELETE}"><img src="{$themeconf.admin_icon_dir}/delete.png" alt="[{'Delete'|@translate}]"></a></td>
 </tr>
 {/foreach} {*rates*}
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 12527)
+++ /trunk/admin/themes/default/theme.css	(revision 12528)
@@ -2,5 +2,4 @@
 
 /* .Content  is on every pages so it is common and it will no longer be a specific css */
-.content { margin-right: 1em; margin-bottom: 1em; }
 .content h2 {margin: 0; padding: 5px 0.5em 5px 0.5em; text-align: right; font-size: 120%;}
 .content .navigationBar { margin: 10px 0; text-align: center; }
@@ -499,7 +498,7 @@
 }
 
-FORM.filter INPUT[type="submit"] {
+/*FORM.filter INPUT[type="submit"] {
 	margin-top: 1.8em;
-}
+}*/
 
 FORM.properties UL, FORM#update UL {
@@ -634,5 +633,8 @@
 html, body {height:100%; margin:0; padding:0;}
 #the_page {min-height:100%; position:absolute; width:100%; padding:0;margin:0;}
-#pwgMain {padding:10px;padding-bottom:60px;}
+
+#pwgMain {
+  padding: 10px 5px 60px;
+}
 
 #footer {
@@ -782,8 +784,14 @@
 #menubar {
   width: 18em;
-  margin: 10px 0 50px 10px !important;
-}
+  margin: 10px 0 50px 5px;
+  display: inline; 
+  float: left; 
+  left: 0; 
+}
+
 .content {
-  margin-left: 20em;  /* = #menubar width + 2em */
+  padding:0 5px 0 0; 
+  margin: 0 5px 0 227px;
+  z-index:99;
 }
 /* Set minimum width of the page before getting a scrollbar */
@@ -1066,2 +1074,4 @@
 /* Tag Manager */
 .warningDeletion {display:none;font-style:italic;}
+
+#debug { margin-left: 227px; font-size:12px; }
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 12527)
+++ /trunk/admin/themes/roma/theme.css	(revision 12528)
@@ -48,5 +48,8 @@
 
 #content { min-height: 466px; margin-top: 15px; }
-.content { padding:0 5px 0 0; margin: 0 10px 0 248px; z-index:99; border: 1px solid #222; }
+
+.content {
+  border: 1px solid #222; 
+}
 
 .content h3 { font-size:20px; letter-spacing:-0.4px; margin:0 20px 12px 0; text-align:center; background:none; border: 0; }
@@ -55,5 +58,4 @@
 
 .content dl, dd { margin:5px; }
-.content div.titrePage {}
 
 
@@ -125,10 +127,11 @@
 .tabsheet a:hover, .tabsheet li.selected_tab  a { color: #F36; }
 .tabsheet a span { background-color:#222; display:block; font-size:10px; margin-right:2px; padding:0 3px 0 1px; }
-#debug { margin-left:248px; font-size:12px; }
 /* menubar is on all admin pages => No specific css file */
 #menubar {
 background:transparent url(images/menuBoxBottom_new.png) no-repeat scroll left bottom;
-border:0; display:inline; float:left; left:0; margin: 10px 0 0 10px; 
-padding:0; width:230px; z-index:99; text-align: left; }
+border:0; 
+padding:0; width:230px; z-index:99; text-align: left; 
+}
+
 #menubar dd {
 background: transparent url(images/menubar-detail.png) repeat-y top left;