Index: /extensions/ContactForm/themes/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/cf_title.tpl	(revision 12530)
@@ -1,10 +1,8 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>
Index: /extensions/ContactForm/themes/simple-black/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-black/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/simple-black/cf_title.tpl	(revision 12530)
@@ -1,11 +1,9 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>
Index: /extensions/ContactForm/themes/simple-sunset/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-sunset/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/simple-sunset/cf_title.tpl	(revision 12530)
@@ -1,11 +1,9 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>
Index: /extensions/ContactForm/themes/simple-white/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-white/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/simple-white/cf_title.tpl	(revision 12530)
@@ -1,11 +1,9 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>
Index: /extensions/ContactForm/themes/simple/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/simple/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/simple/cf_title.tpl	(revision 12530)
@@ -1,11 +1,9 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>
Index: /extensions/ContactForm/themes/stripped/cf_title.tpl
===================================================================
--- /extensions/ContactForm/themes/stripped/cf_title.tpl	(revision 12529)
+++ /extensions/ContactForm/themes/stripped/cf_title.tpl	(revision 12530)
@@ -1,11 +1,9 @@
+{php}
+	global $conf;
+	$this->assign('LEVEL_SEPARATOR', $conf[ 'level_separator' ]);
+{/php}
 <div class="titrePage">
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
-  <ul class="categoryActions">
-    <li>
-      <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-        <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
-      </a>
-    </li>
-  </ul>
-  <h2>{$CF.TITLE|@translate}</h2>
+  <ul class="categoryActions"></ul>
+  <h2><a href="{$U_HOME}" title="{'Return to home page'|@translate}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{$CF.TITLE|@translate}</h2>
 </div>