Index: extensions/luciano/template/picture.tpl
===================================================================
--- extensions/luciano/template/picture.tpl	(revision 12533)
+++ extensions/luciano/template/picture.tpl	(revision 12534)
@@ -1,3 +1,6 @@
 {if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
+
+{include file='picture_nav_keys.tpl'|@get_extent:'picture_nav_keys'}
+
 <div id="imageHeaderBar">
     <div class="browsePath">
@@ -13,8 +16,8 @@
     {if !empty($U_SET_AS_REPRESENTATIVE)}<li><a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}" id="bn-higlight">{'representative'|@translate}</a></li>{/if}
     {if isset($U_ADMIN)					}<li><a href="{$U_ADMIN}" title="{'link_info_image'|@translate}" id="bn-edit">{'edit'|@translate}</a></li>{/if}
-    {if isset($U_CADDIE)				}
+    {if isset($U_CADDIE)				}{*caddie management BEGIN*}
                       <script type="text/javascript">{literal}function addToCadie(aElement, rootUrl, id){if (aElement.disabled) return;aElement.disabled=true;var y=new PwgWS(rootUrl);y.callService("pwg.caddie.add",{image_id: id},{onFailure:function(num,text){alert(num+" "+text);document.location=aElement.href;},onSuccess:function(result){aElement.disabled=false;}});}{/literal}</script>
                       <li><a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'add to caddie'|@translate}" id="bn-caddie">{'caddie'|@translate}</a></li>
-    {/if}
+    {/if}{*caddie management END*}
   </ul>
 </div>
Index: extensions/luciano/template/picture_nav_buttons.tpl
===================================================================
--- extensions/luciano/template/picture_nav_buttons.tpl	(revision 12533)
+++ extensions/luciano/template/picture_nav_buttons.tpl	(revision 12534)
@@ -1,3 +1,2 @@
-{* $Id: picture_nav_buttons.tpl 2700 2008-10-10 13:11:31Z rvelices $ *}
 <div class="navButtons">
 
@@ -51,42 +50,2 @@
 
 </div>
-
-<script type="text/javascript">// <![CDATA[
-{literal}
-function keyboardNavigation(e)
-{
-if(!e) e=window.event;
-if (e.altKey) return true;
-var target = e.target || e.srcElement;
-if (target && target.type) return true; //an input editable element
-var keyCode=e.keyCode || e.which;
-var docElem = document.documentElement;
-switch(keyCode) {
-{/literal}
-{if isset($next)}
-case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
-{/if}
-{if isset($previous)}
-case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-{if isset($first)}
-/*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-{if isset($last)}
-/*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-{if isset($U_UP) and !isset($slideshow)}
-/*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-
-{if isset($slideshow.U_START_PLAY)}
-/*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-{if isset($slideshow.U_STOP_PLAY)}
-/*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
-{/if}
-}
-return true;
-}
-document.onkeydown=keyboardNavigation;
-// ]]></script>
Index: extensions/luciano/template/picture_nav_keys.tpl
===================================================================
--- extensions/luciano/template/picture_nav_keys.tpl	(revision 12534)
+++ extensions/luciano/template/picture_nav_keys.tpl	(revision 12534)
@@ -0,0 +1,41 @@
+{* Allows going thru the photogallery using left/right keys *}
+
+<script type="text/javascript">// <![CDATA[
+{literal}
+function keyboardNavigation(e)
+{
+if(!e) e=window.event;
+if (e.altKey) return true;
+var target = e.target || e.srcElement;
+if (target && target.type) return true; //an input editable element
+var keyCode=e.keyCode || e.which;
+var docElem = document.documentElement;
+switch(keyCode) {
+{/literal}
+{if isset($next)}
+case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
+{/if}
+{if isset($previous)}
+case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+{if isset($first)}
+/*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+{if isset($last)}
+/*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+{if isset($U_UP) and !isset($slideshow)}
+/*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+
+{if isset($slideshow.U_START_PLAY)}
+/*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+{if isset($slideshow.U_STOP_PLAY)}
+/*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+{/if}
+}
+return true;
+}
+document.onkeydown=keyboardNavigation;
+// ]]></script>
Index: extensions/luciano/template/slideshow.tpl
===================================================================
--- extensions/luciano/template/slideshow.tpl	(revision 12533)
+++ extensions/luciano/template/slideshow.tpl	(revision 12534)
@@ -2,4 +2,7 @@
 	<div class="imageNumber">{$PHOTO}</div>
 </div>
+
+{include file='picture_nav_keys.tpl'|@get_extent:'picture_nav_keys'}
+
 <div id="slidshowToolBar">{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}</div>
 <div id="imageContainer">