Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 12534)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 12535)
@@ -111,14 +111,15 @@
 
     //   if (nu_img > 1) return;
-  if (typeof theImg == "undefined") return true;
-  if (theImg == null) return;
-
-  if (jQuery(theImg).length > 0) {
+
+  if (typeof The_MainImage == "undefined") return true;
+  if (The_MainImage == null) return;
+
+  if (jQuery(The_MainImage).length > 0) {
 
   if(typeof stb!="undefined")
  stb.stop().fadeTo(3500, 0);
 
-    img_h = jQuery(theImg).height();
-    img_w = jQuery(theImg).width();
+    img_h = jQuery(The_MainImage).height();
+    img_w = jQuery(The_MainImage).width();
     jQuery("#src_img_h").val(img_h);
     jQuery("#src_img_w").val(img_w);
@@ -135,5 +136,5 @@
         width: img_w,
         height: img_h,
-        theImage: theImg,
+        theImage: The_MainImage,
         src_img: src_img,
         window_height: Window_Affichage.height,
@@ -404,9 +405,9 @@
        jQuery(window).unload(function () {
          try {
-           if (typeof theImg != "undefined") {
-             jQuery.cookie('img', theImg.src); // créer un cookie avec une valeur
-
-             jQuery.cookie('img_h', jQuery(theImg).height());
-             jQuery.cookie('img_w', jQuery(theImg).width());
+           if (typeof The_MainImage != "undefined") {
+             jQuery.cookie('img', The_MainImage.src); // créer un cookie avec une valeur
+
+             jQuery.cookie('img_h', jQuery(The_MainImage).height());
+             jQuery.cookie('img_w', jQuery(The_MainImage).width());
 
              if (typeof Window_Affichage != "undefined") {
@@ -467,5 +468,4 @@
          //=============================================================
          Type_Img = "";
-         theImg = null;
          nopano = false;
 
@@ -592,11 +592,6 @@
            info_Licence = jQuery(".licencetag").infos();
 
-           if (typeof Type_Img == 'undefined') {
-
-           }
-
-
            // jQuery(".licencetag").addClass('imageComment');
-
+ /*
            hd_click = jQuery("#theImage a[href]");
            if (hd_click.length > 0) {
@@ -612,4 +607,5 @@
            if (jQuery('#_Comment, ').length == 0)
              jQuery('.imageComment, ').wrapAll('<div id="_Comment"  />');
+            */
 
            if (theme.match(RegExp("simple", "g"))) {
@@ -672,6 +668,6 @@
              var info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
              var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
-             theImg = jQuery("#pamoorama");
-             obj = theImg.get(0);
+             The_MainImage = jQuery("#pamoorama");
+             obj = The_MainImage.get(0);
 
            } else {
@@ -710,16 +706,16 @@
 
                //the theMainImage ??
-               if (!theImg) {
-                 theImg = jQuery("#theMainImage");
-                 if (theImg.length > 0)
+               if (!The_MainImage) {
+                 The_MainImage = jQuery("#theMainImage");
+                 if (The_MainImage.length > 0)
                    return;
-                 theImg = jQuery().Get_Img_Maxi("#Panorama img[alt]");
+                 The_MainImage = jQuery().Get_Img_Maxi("#Panorama img[alt]");
                  // return;
-                 if (theImg.length > 0)
-                   theImg = theImg[0];
+                 if (The_MainImage.length > 0)
+                   The_MainImage = The_MainImage[0];
                  else
-                   theImg = jQuery().Get_Img_Maxi("#Panorama img[alt]");
-               }
-               info_theImage = jQuery(theImg).infos();
+                   The_MainImage = jQuery().Get_Img_Maxi("#Panorama img[alt]");
+               }
+               info_theImage = jQuery(The_MainImage).infos();
                info_the_page = jQuery("#the_page").infos();
                jQuery("#theImage").height(info_theImage.height);
@@ -729,7 +725,7 @@
              case "img":
 
-               if (!theImg) return true;
+               if (!The_MainImage) return true;
                if (theme.match(RegExp("luciano", "g"))) {
-                 theImg = jQuery("#the_page #theImg");
+                 The_MainImage = jQuery("#the_page #The_MainImage");
                }
 
@@ -739,10 +735,10 @@
                break
              case "img_autre":
-               if (!theImg) {
-                 if (DEBUG_autosize == "true") alert("theImg=null");
+               if (!The_MainImage) {
+                 if (DEBUG_autosize == "true") alert("The_MainImage=null");
                  return true;
 
                }
-               info_theImage = jQuery(theImg).infos();
+               info_theImage = jQuery(The_MainImage).infos();
                info_the_page = jQuery("#the_page").infos();
 
@@ -787,5 +783,5 @@
 
 
-               theImg = myPamoorama.image;
+               The_MainImage = myPamoorama.image;
                info_theImage = jQuery("#pamoorama").infos();
                //img_finale.height = info_theImage.height;
@@ -801,29 +797,29 @@
            }
            //================= Vérification taille image ==================
-           MinWidth = jQuery(theImg).css("minWidth");
+           MinWidth = jQuery(The_MainImage).css("minWidth");
            if (MinWidth == "0px")
              MinWidth = mini_width;
-           MinHeight = jQuery(theImg).css("minHeight");
+           MinHeight = jQuery(The_MainImage).css("minHeight");
            if (MinHeight == "0px")
              MinHeight = mini_height;
 
-           MaxWidth = jQuery(theImg).css("maxWidth");
+           MaxWidth = jQuery(The_MainImage).css("maxWidth");
            if (MaxWidth == "0px")
              MaxWidth = winwidth;
-           MaxHeight = jQuery(theImg).css("maxHeight");
+           MaxHeight = jQuery(The_MainImage).css("maxHeight");
            if (MaxHeight == "0px")
              MaxHeight = mwinheight;
 
            //=============== Vérification taille minimale  autorizée ======================
-           var miniWidth = jQuery(theImg).Get_Val_int(MinWidth, mini_width);
-           var miniHeight = jQuery(theImg).Get_Val_int(MinHeight, mini_height);
+           var miniWidth = jQuery(The_MainImage).Get_Val_int(MinWidth, mini_width);
+           var miniHeight = jQuery(The_MainImage).Get_Val_int(MinHeight, mini_height);
            if (winwidth < mini_width2) mini_width2 = winwidth;
 
-           var miniWidth2 = jQuery(theImg).Get_Val_int(MinWidth, mini_width2);
-           var miniHeight2 = jQuery(theImg).Get_Val_int(MinHeight, mini_height2);
-
-
-           var maxWidth = jQuery(theImg).Get_Val_int(MaxWidth, winwidth, "0");
-           maxHeight = jQuery(theImg).Get_Val_int(MaxHeight, winheight, "0");
+           var miniWidth2 = jQuery(The_MainImage).Get_Val_int(MinWidth, mini_width2);
+           var miniHeight2 = jQuery(The_MainImage).Get_Val_int(MinHeight, mini_height2);
+
+
+           var maxWidth = jQuery(The_MainImage).Get_Val_int(MaxWidth, winwidth, "0");
+           maxHeight = jQuery(The_MainImage).Get_Val_int(MaxHeight, winheight, "0");
 
 
@@ -1015,11 +1011,11 @@
              //=============LLGBO2 ===========================
              t1 = llgboframe;
-             if (!theImg.src) {
-               theImg = jQuery("#gbo").find("img").get(0)
-               if (!theImg.src) {
-                 theImg = jQuery(Parent).find("div").get(0)
+             if (!The_MainImage.src) {
+               The_MainImage = jQuery("#gbo").find("img").get(0)
+               if (!The_MainImage.src) {
+                 The_MainImage = jQuery(Parent).find("div").get(0)
                }
              }
-             if (theImg.src) {
+             if (The_MainImage.src) {
                wingbo = img_finale.width;
                heightgbo = img_finale.height;
@@ -1171,5 +1167,5 @@
                jQuery("object").height(img_finale.height);
                jQuery(Cadre).height(img_finale.height + Bandeau_bas.height); //??
-               jQuery(theImg).height(img_finale.height);
+               jQuery(The_MainImage).height(img_finale.height);
                jQuery(Cadre).css("height", "auto");
              }
@@ -1261,9 +1257,9 @@
 
 
-           } else if (theImg != null && theImg.src) {
+           } else if (The_MainImage != null && The_MainImage.src) {
              //--- background ?? ---
-             jQuery(theImg).height(img_finale.height);
-             jQuery(theImg).width(img_finale.width);
-             jQuery(theImg).css({ height: img_finale.height + "px ",
+             jQuery(The_MainImage).height(img_finale.height);
+             jQuery(The_MainImage).width(img_finale.width);
+             jQuery(The_MainImage).css({ height: img_finale.height + "px ",
                width: img_finale.width + "px "
              });
@@ -1272,7 +1268,7 @@
            } else {
              //===map ? luciano ===
-             jQuery(theImg).height(img_finale.height);
-             jQuery(theImg).width(img_finale.width);
-             jQuery(theImg).css({ height: img_finale.height + "px ",
+             jQuery(The_MainImage).height(img_finale.height);
+             jQuery(The_MainImage).width(img_finale.width);
+             jQuery(The_MainImage).css({ height: img_finale.height + "px ",
                width: img_finale.width + "px "
              });
@@ -1621,6 +1617,6 @@
     if (theme.match(RegExp("luciano", "g"))) {
         jQuery("#imageContainer").css({ height: "auto" });
-        theImg = jQuery(Parent + " #theImg img");
-        info_img = jQuery(theImg).infos();
+        The_MainImage = jQuery(Parent + " #theImg img");
+        info_img = jQuery(The_MainImage).infos();
 
 
@@ -1638,6 +1634,6 @@
         });
 
-        theImg = jQuery("#map");
-        info_img = jQuery(theImg).infos();
+        The_MainImage = jQuery("#map");
+        info_img = jQuery(The_MainImage).infos();
 
 
@@ -1677,9 +1673,9 @@
 
         if (MainImage.length == 0) {
-          theImg = jQuery("#charlie");
-          info_img = jQuery(theImg).infos();
+          The_MainImage = jQuery("#charlie");
+          info_img = jQuery(The_MainImage).infos();
         } else {
-          theImg = jQuery("#theMainImage");
-          info_img = jQuery(theImg).infos();
+          The_MainImage = jQuery("#theMainImage");
+          info_img = jQuery(The_MainImage).infos();
           
         }
@@ -1688,10 +1684,10 @@
     } else if (jQuery(Parent + " embed").length > 0) {
     if (jQuery("#theMainImage").lenght == 0) {
-      theImg = jQuery(Parent + " embed");
-      info_img = jQuery(theImg).infos();
+      The_MainImage = jQuery(Parent + " embed");
+      info_img = jQuery(The_MainImage).infos();
       jQuery(Parent + " embed").width({ width: info_img.width + "px", height: info_img.height + "px" });
     } else {
-      theImg = jQuery("#theMainImage");
-      info_img = jQuery(theImg).infos();
+      The_MainImage = jQuery("#theMainImage");
+      info_img = jQuery(The_MainImage).infos();
       Type_Img == "charlie"
     }
@@ -1702,6 +1698,6 @@
             return info_description;
         }
-        theImg = jQuery("#pamoorama");
-        info_img = jQuery(theImg).infos();
+        The_MainImage = jQuery("#pamoorama");
+        info_img = jQuery(The_MainImage).infos();
         info_footer = jQuery("#pamoorama_footer").infos();
         info_img.height = parseInt(img_reelle.height) + parseInt(info_footer.height);
@@ -1711,21 +1707,17 @@
 
         if (MainImage.length == 0) {
-          theImg = jQuery(Parent + " img[alt]");
+          The_MainImage = jQuery(Parent + " img[alt]");
         } else {
-          theImg = jQuery("#theMainImage");   
+          The_MainImage = MainImage;   
         }
 
-        //theImg = Get_Img_Maxi(theImg);
-        //theMainImage
       
-        if (!theImg)
-            theImg = jQuery(Parent);   // sans img ??
-        if (theImg.length > 1)
-          {theImg = theImg[0];
+        if (!The_MainImage)
+            The_MainImage = jQuery(Parent);   // sans img ??
+        if (The_MainImage.length > 1) {
+        The_MainImage = The_MainImage[0];
           }
 
-        //theImg = Get_Img_Maxi(theImg);  //1.6.2
-        //if (!theImg) theImg = jQuery(Parent);   // 1.6.2sans img ??
-        info_img = jQuery(theImg).infos();
+        info_img = jQuery(The_MainImage).infos();
     }
     //=====================================================================================