Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 12564)
+++ /trunk/language/de_DE/admin.lang.php	(revision 12565)
@@ -174,5 +174,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Sie können ein Album nicht in seinem eigenen Sub-Album verschieben.';
 $lang['You need to confirm deletion'] = 'Löschen bitte bestätigen';
-$lang['add tags'] = 'Stichworte hinzufügen';
 $lang['Associate to album'] = 'Mit einem Album verbinden';
 $lang['associate to group'] = 'Mit Gruppe verbinden';
@@ -517,5 +516,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Sind Sie sicher dass Sie dieses Plugin installieren möchten?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sind Sie sicher dass Sie dieses Plugin installieren möchten? Stellen sicher, dass die vorhergehende Version nicht deinstalliert werden muss.';
-$lang['%s has been successfully upgraded.'] = '%s wurde erfolgreich aktualisiert.';
 $lang['Plugin has been successfully copied'] = 'Das Plugin wurde erfolgreich installiert.';
 $lang['You might go to plugin list to install and activate it.'] = 'Gehen Sie in die "Liste der Plugins" um installierte Plugins zu aktivieren.';
@@ -743,7 +741,4 @@
 $lang['All %d photos are selected'] = 'Alle %d Fotos ausgewählt';
 $lang['remove this filter'] = 'entferne diesen Filter';
-$lang['predefined filter'] = 'vordefinierter Filter';
-$lang['last import'] = 'letzter Import';
-$lang['with no virtual album'] = 'ohne virtuelles Album';
 $lang['duplicates'] = 'doppelte';
 $lang['Add a filter'] = 'Füge einen Filter hinzu';
@@ -760,6 +755,4 @@
 $lang['Type here the title'] = 'Geben Sie hier den Titel ein';
 $lang['remove creation date'] = 'Entferne das Erstellungsdatum';
-$lang['with no album'] = 'ohne Album';
-$lang['with no tag'] = 'ohne Stichwort';
 $lang['Album photos associated to the following albums: %s'] = 'Albumfotos findet man in folgenden Alben: %s';
 $lang['Delete orphan tags'] = 'Lösche nichtbenutzte Stichworte';
@@ -845,3 +838,25 @@
 $lang['Zoom'] = 'Zoom';
 
+$lang['(this tag will be deleted)'] = '(dieser Tag wird gelöscht!)';
+$lang['... or '] = '... oder';
+$lang['Allowed file types: %s.'] = 'Erlaubte Dateitypen: %s.';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standardmäßig erstellt Piwigo eine für Web optimierete Ansicht der HD-Version (hochaufgelösten Version) deines Fotos';
+$lang['Confirm merge'] = 'Zusammenführen bestätigen';
+$lang['Create'] = 'Erstellen';
+$lang['hide details'] = 'Details verbergen';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Wenn das Bild nicht HD (hochaufgelöst) ist und das Bild kleiner ist als die für Web optimierte Größe, verwendet Piwigo dieses als HD und erstellt eine verkleinerte Web optimierten Version';
+$lang['Manage Permissions'] = 'Zugriff verwalten';
+$lang['Maximum file size: %sB.'] = 'Max. Dateigröße: %sB.';
+$lang['Merge selected tags'] = 'Gewählte Tags zusammenführen';
+$lang['Merge tags'] = 'Tags zusammenführen';
+$lang['No destination tag selected'] = 'Keinen Ziel-Tag gewählt';
+$lang['Photo %s of %s'] = 'Bild %s of %s';
+$lang['Select an album'] = 'Wähle ein Album';
+$lang['Select at least two tags for merging'] = 'Wahle 2 Tags zum Zusammenführen';
+$lang['Select the destination tag'] = 'Wähle Ziel-Tag';
+$lang['show details'] = 'Details zeigen';
+$lang['Start Upload'] = 'Upload starten';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tags <em>%s</em> in <em>%s</em> zusammengeführt';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Du benutzt den einfachen Uploader. Benutze den <a href="%s">Flash uploader</a> stattdessen.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Probleme mit dem Flash Uploader. Benutze den <a href="%s">Browser uploader</a>';
 ?>
Index: /trunk/language/de_DE/install.lang.php
===================================================================
--- /trunk/language/de_DE/install.lang.php	(revision 12564)
+++ /trunk/language/de_DE/install.lang.php	(revision 12565)
@@ -73,3 +73,5 @@
 $lang['Download the config file'] = 'Lade die Konfigurationsdatei herunter';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'SIe können die Konfigurationsdatei herunterladen und in den Ordner local/config ihrer Installation hochladen.';
+$lang['Just another Piwigo gallery'] = 'Nur eine neue Piwigo Bildgallerie';
+$lang['Welcome to my photo gallery'] = 'Willkommen bei meiner Bildgallerie';
 ?>